package org.byteam.dfa.model;

import org.json.JSONObject;

public class Asset {
    private JSONObject source;
    private String name;
    private boolean diff;
    private long size;
    private String md5;

    Asset(JSONObject json) {
        this.source = json;
        this.name = json.optString("name");
        this.diff = json.optBoolean("diff", true);
        this.size = json.optLong("size");
        this.md5 = json.optString("md5");
    }

    public String getName() {
        return name;
    }

    public boolean isDiff() {
        return diff;
    }

    public long getSize() {
        return size;
    }

    public String getMd5() {
        return md5;
    }

//    public Map toMap() {
//        Map<String, Object> map = new HashMap<>();
//        Iterator<String> keys = source.keys();
//        while (keys.hasNext()) {
//            String key = keys.next();
//            Object value = source.opt(key);
//            map.put(key, value);
//        }
//        return map;
//    }


    @Override
    public String toString() {
        return "Asset{" +
                "name='" + name + '\'' +
                ", diff=" + diff +
                ", size=" + size +
                ", md5='" + md5 + '\'' +
                '}';
    }
}
