package org.byteam.dfa.model;

import java.util.HashMap;
import java.util.Map;

public class InstallResult {
    private boolean success;
    private String message;

    private InstallResult(boolean success, String message) {
        this.success = success;
        this.message = message;
    }

    public static Map success() {
        return new InstallResult(true, null).toMap();
    }

    public static Map error(String message) {
        return new InstallResult(false, message).toMap();
    }

    private Map toMap() {
        Map<String, Object> map = new HashMap<>();
        map.put("success", success);
        map.put("message", message);
        return map;
    }
}


