import 'dart:convert';

/// Patch model.
class Patch {
  Map<String, dynamic> source;
  String version;
  int appVersionCode;
  String installPath;
  int installTimestamp;

  Patch.fromJson(Map<String, dynamic> json) {
    source = json;
    version = json['version'];
    appVersionCode = _parseInt(json['appVersionCode']);
    installPath = json['installPath'];
    installTimestamp = _parseInt(json['installTimestamp']);
  }

  @override
  String toString() {
    return jsonEncode(source);
  }

  int _parseInt(dynamic value, [int defaultValue = 0]) {
    if (value == null) return defaultValue;
    if (value is int) return value;
    if (value is double) return value.toInt();
    if (value is String) {
      try {
        return int.parse(value);
      } catch (e) {
        return defaultValue;
      }
    }
    return defaultValue;
  }
}
